import express from 'express';

// Route imports
import testRoute from './test.js';
import categoryRoute from './categories.js';

// Router base is '/api/v1'
const Router = express.Router({ strict: false });

Router.route('/categories').get(categoryRoute.get).post(categoryRoute.post).patch(categoryRoute.patch).delete(categoryRoute.del);
Router.route('/test').get(testRoute.get);

export default Router;
